Agora Java API Reference for Android

Classes | Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.video.CameraCapturerConfiguration Class Reference

## Classes
enum | CAMERA_DIRECTION
enum | CAMERA_FOCAL_LENGTH_TYPE
class | CaptureFormat

## Public Member Functions
| CameraCapturerConfiguration (CAMERA_DIRECTION cameraDirection)
| CameraCapturerConfiguration (CAMERA_DIRECTION cameraDirection, CAMERA_FOCAL_LENGTH_TYPE cameraFocalLengthType)
| CameraCapturerConfiguration (CaptureFormat captureFormat)
| CameraCapturerConfiguration (CAMERA_DIRECTION cameraDirection, CaptureFormat captureFormat)
| CameraCapturerConfiguration (CAMERA_DIRECTION cameraDirection, CAMERA_FOCAL_LENGTH_TYPE cameraFocalLengthType, CaptureFormat captureFormat)
CAMERA_DIRECTION | getCameraDirection ()
String | getCameraId ()
CAMERA_FOCAL_LENGTH_TYPE | getCameraFocalLengthType ()
CaptureFormat | getCaptureFormat ()
Boolean | isFollowEncodeDimensionRatio ()
String | toString ()

## Public Attributes
CAMERA_DIRECTION | cameraDirection = null
String | cameraId = null
CAMERA_FOCAL_LENGTH_TYPE | cameraFocalLengthType = null
CaptureFormat | captureFormat
Boolean | followEncodeDimensionRatio = null

## Detailed Description

The definition of CameraCapturerConfiguration.

## Constructor & Destructor Documentation

## ◆ CameraCapturerConfiguration() [1/3]

io.agora.rtc2.video.CameraCapturerConfiguration.CameraCapturerConfiguration | ( | CAMERA_DIRECTION | cameraDirection | ) |

The camera capture configuration.

Parameters

  cameraDirection | The camera direction. For details, see CAMERA_DIRECTION.

## ◆ CameraCapturerConfiguration() [2/3]

io.agora.rtc2.video.CameraCapturerConfiguration.CameraCapturerConfiguration | ( | CaptureFormat | captureFormat | ) |

The camera capture configuration.

Parameters

  captureFormat | The camera capture format. For details, see {}.

## ◆ CameraCapturerConfiguration() [3/3]

io.agora.rtc2.video.CameraCapturerConfiguration.CameraCapturerConfiguration | ( | CAMERA_DIRECTION | cameraDirection,
|  | CaptureFormat | captureFormat
| ) |  |

The camera capture configuration.

Parameters

  cameraDirection | The camera direction. For details, see CAMERA_DIRECTION.
  captureFormat | The camera capture format. For details, see {}.

## Member Data Documentation

## ◆ cameraDirection

CAMERA_DIRECTION io.agora.rtc2.video.CameraCapturerConfiguration.cameraDirection = null

The camera direction.

Parameters

  cameraDirection | The camera direction: CAMERA_REAR(0)：Uses the rear camera. CAMERA_FRONT(1): Uses the front camera.

## ◆ cameraId

String io.agora.rtc2.video.CameraCapturerConfiguration.cameraId = null

The camera id.

## ◆ followEncodeDimensionRatio

Boolean io.agora.rtc2.video.CameraCapturerConfiguration.followEncodeDimensionRatio = null

follow the dimension ratio of setVideoEncoderConfiguration.